--AH:ScriptId=20FBB2EA-F8DD-4CB1-BC0A-460AFB81A760

CREATE TABLE [PypiPackages]
(
	[Feed_Id] INT NOT NULL,
	[Package_Name] VARCHAR(200) NOT NULL,
	[Version_Text] VARCHAR(200) NOT NULL,
	[File_Name] VARCHAR(200) NOT NULL,
	[Cached_Indicator] YNINDICATOR NOT NULL,
	[Published_Date] DATETIME NOT NULL,
	[Package_Size] BIGINT NOT NULL,
	[Summary_Text] NVARCHAR(500) NULL,
	[MD5Hash_Bytes] BINARY(16) NOT NULL,
	[SHA1Hash_Bytes] BINARY(20) NOT NULL,
	[SHA256Hash_Bytes] BINARY(32) NOT NULL,
	[SHA512Hash_Bytes] BINARY(64) NOT NULL,
	[Download_Count] INT NOT NULL,
	[LastDownloaded_Date] DATETIME NULL,
	[PackageMetadata_Bytes] VARBINARY(MAX) NOT NULL,

	CONSTRAINT [PK__PypiPackages]
		PRIMARY KEY ([Feed_Id], [Package_Name], [Version_Text], [File_Name]),

	CONSTRAINT [FK__PypiPackages__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)

CREATE INDEX [IX__PypiPackages__Published_Date]
	ON [PypiPackages] ([Published_Date] DESC)
	INCLUDE ([Feed_Id], [Package_Name], [Version_Text], [Cached_Indicator])
