EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_AddPackageContainerScanner',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Associates a package/container scanner with a feed.'
GO

IF OBJECT_ID('[Feeds_AddPackageContainerScanner]') IS NOT NULL DROP PROCEDURE [Feeds_AddPackageContainerScanner]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_AddPackageContainerScanner]
(
	@Feed_Id INT,
	@PackageContainerScanner_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

    INSERT INTO [FeedPackageContainerScanners]
	(
		[Feed_Id],
		[PackageContainerScanner_Id]
	)
    VALUES
	(
		@Feed_Id,
		@PackageContainerScanner_Id
	)

    COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Feeds_AddPackageContainerScanner] TO [ProGetUser_Role]
GO
